Name:           python-docker
Version:        4.0.2
Release:        2
Summary:        A Python library for the Docker Engine API
License:        ASL 2.0
URL:            https://pypi.org/project/docker
Source0:        https://files.pythonhosted.org/packages/source/d/docker/docker-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel python3-setuptools

%description
It lets you do anything the docker command does, but from within Python apps –
run containers, manage containers, manage Swarms, etc.

%package     -n python-docker-tests
Summary:        Unit tests and integration tests for python-docker

%{?python_provide:%python_provide python-docker-tests}

%description -n python-docker-tests
Upstream test-suite (unit, integration) packaged as RPM.

%package     -n python3-docker
Summary:        A Python library for the Docker Engine API

Requires:       python3-requests >= 2.14.2 python3-six >= 1.4.0
Requires:       python3-websocket-client >= 0.32.0 python3-docker-pycreds >= 0.2.1
Requires:       python3-pyOpenSSL python3-idna python3-cryptography python3-paramiko

%{?python_provide:%python_provide python3-docker}
Obsoletes:      python3-docker-py < 1:2

%description -n python3-docker
It lets you do anything the docker command does, but from within Python apps –
run containers, manage containers, manage Swarms, etc.

%prep
%autosetup -n docker-%{version} -p1
rm -rf docker.egg-info

%build
%py3_build

%install
%py3_install

# copy tests to /usr/libexec/installed-tests
mkdir -p %{buildroot}%{_libexecdir}/installed-tests/%{name}
cp -avr tests/ %{buildroot}%{_libexecdir}/installed-tests/%{name}/

%files -n python3-docker
%defattr(-,root,root)
%doc README.md
%license LICENSE
%{python3_sitelib}/*

%files -n python-docker-tests
%defattr(-,root,root)
%{_libexecdir}/installed-tests

%changelog
* Wed Oct 21 2020 jinzhimin <jinzhimin2@huawei.com> - 4.0.2-2
- remove python2-docker subpackage

* Wed Feb 12 2020 openEuler Buildteam <buildteam@openeuler.org> - 4.0.2-1
- Package init
